メインコンテンツへスキップ
PATCH
https://{tenantDomain}/api/v2
/
roles
/
{id}
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Roles.Update(
        context.TODO(),
        "id",
        &management.UpdateRoleRequestContent{},
    )
}
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>"
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

id
string
必須

ID of the role to update.

ボディ

name
string

Name of this role.

description
string

Description of this role.

レスポンス

Role successfully updated.

id
string

ID for this role.

name
string

Name of this role.

description
string

Description of this role.